We officially support the following browsers:

  • The 5 latest versions of Google Chrome
  • The 3 latest versions of Safari
  • The 3 latest versions of Microsoft Edge
  • The 4 latest versions of Mozilla Firefox

This is informed by usage statistics from our platform, which tells us that these are browsers that the vast majority of our users use.

Browsers that are compatible with the browsers above – like newer versions of Opera, Vivaldi, and Brave should work just fine as well, but are not officially supported.

Did this answer your question?